summaryrefslogtreecommitdiffstats
path: root/display/splashy/init.d/splashy5
diff options
context:
space:
mode:
Diffstat (limited to 'display/splashy/init.d/splashy5')
-rwxr-xr-xdisplay/splashy/init.d/splashy534
1 files changed, 34 insertions, 0 deletions
diff --git a/display/splashy/init.d/splashy5 b/display/splashy/init.d/splashy5
new file mode 100755
index 0000000000..ba446ca66f
--- /dev/null
+++ b/display/splashy/init.d/splashy5
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+PROGRAM=/bin/false
+RUNLEVEL=5
+NEEDS="+local_fs"
+
+. /etc/init.d/smgl_init
+. /etc/sysconfig/init
+
+MAX_LEVEL=$DEFAULT_RUNLEVEL
+
+case "$MAX_LEVEL" in
+ 5)
+ SPLASHY_PROGRESS=100
+ ;;
+ *)
+ echo "Unknown default runlevel"
+ exit 1
+esac
+
+start()
+{
+ /usr/sbin/splashy_update "progress $SPLASHY_PROGRESS"
+}
+
+stop()
+{
+ true
+}
+
+restart()
+{
+ true
+}